Bug 112084 - VGA external monitor not working after update to 5.3.x linux
Summary: VGA external monitor not working after update to 5.3.x linux
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: high critical
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-21 22:36 UTC by Andrija
Modified: 2019-11-05 15:25 UTC (History)
2 users (show)

See Also:
i915 platform: HSW
i915 features: display/Other


Attachments
journalctl -b (boot log, drm.debug=0x1e log_buf_len=1) (12.47 MB, text/plain)
2019-10-21 22:36 UTC, Andrija
no flags Details
[PATCH] drm/i915: Fix PCH reference clock for FDI on HSW/BDW (3.91 KB, patch)
2019-10-22 10:20 UTC, Ville Syrjala
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrija 2019-10-21 22:36:35 UTC
Created attachment 145788 [details]
journalctl -b (boot log,  drm.debug=0x1e log_buf_len=1)

OS: Arch linux
kernel: 5.3.7

After update to 5.3.x kernel external monitor on VGA port not working


[drm:hsw_fdi_link_train [i915]] *ERROR* FDI link training failed!
[drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[drm:cpt_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun


https://bbs.archlinux.org/viewtopic.php?id=249764

Arch linux thread
Comment 1 Andrija 2019-10-21 22:43:44 UTC
hardware:

thinkpad t440p
i5-4200m
hd4600
Comment 2 Ville Syrjala 2019-10-22 10:20:54 UTC
Created attachment 145792 [details] [review]
[PATCH] drm/i915: Fix PCH reference clock for FDI on HSW/BDW

Please test whether this fixes it.
Comment 3 Andrija 2019-10-22 17:37:12 UTC
Yes, that's it. This fixed problem.
Comment 4 Ville Syrjala 2019-10-22 18:43:42 UTC
(In reply to Andrija from comment #3)
> Yes, that's it. This fixed problem.

Cool. Keeping the bug open until the fix lands in our tree.
Comment 5 Ville Syrjala 2019-10-25 17:24:22 UTC
Now landed.

commit dd5279c71405533d4ddbb9453effc60f0f5bf211
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Oct 22 21:56:43 2019 +0300

    drm/i915: Fix PCH reference clock for FDI on HSW/BDW

Thanks for the bug report and testing.
Comment 6 Andrija 2019-11-01 16:07:46 UTC
Do you know in which linux version this patch will be apllied?
Comment 7 Lakshmi 2019-11-05 13:38:50 UTC
(In reply to Andrija from comment #6)
> Do you know in which linux version this patch will be apllied?

Drm-tip (https://cgit.freedesktop.org/drm-tip) will have the latest changes.
Comment 8 Jani Saarinen 2019-11-05 15:25:32 UTC
Jani, we are now at 5.4rc6 so I suppose we missed 5.5 and goes to 5.6? Or how this goes?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.